Bug 62086 - screen does not use the users password for locking
screen does not use the users password for locking
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: screen (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Brock Organ
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-03-27 05:16 EST by David Balažic
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-02 12:46:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Balažic 2002-03-27 05:16:41 EST
Description of Problem:

When I lock screen ( ctrl-a ctrl-x ) it ask me for a key ( password )instead of 
using my system password, like it did in previous versions ).

Version-Release number of selected component (if applicable):

screen-3.9.11-1

How Reproducible:

always

Steps to Reproduce:
1. start screen
2. lock it ( ctrl-a ctrla-x )
3. 

Actual Results:

It asks for a key and then locks the screen until one enters the key again.

Expected Results:

It should lock the screen and unlock it when the users system password is 
entered.

Additional Information:
	
Bug #9463 looks similar.
Comment 1 Bill Nottingham 2002-03-27 16:11:25 EST
Bryce, is this fixed with the 'new' version in the tree now?
Comment 2 Bill Nottingham 2002-04-02 12:46:08 EST
Apparently it is not fixed with 3.9.10-1.
Comment 3 Phil Copeland 2002-04-15 15:15:52 EDT
pam support added into 3.9.11-2 
BIG NOTE: pam support needs a /etc/pam.d/screen file without which it will
default to /etc/pam.d/other which typically deny's everything so you'd lock a
screen and never be able to unlock it 8)
but I've included one in the rpm dist that gets installed.

Phil
=--=
Comment 4 David Balažic 2002-04-16 03:40:15 EDT
What is this jumping from 3.9.10 to 3.9.11 then back to 3.9.10 and now again to 
3.9.11 ?

Will 3.9.11 be released in the next RHL ?
Comment 5 Phil Copeland 2002-04-16 04:29:16 EDT
the 3.9.11 that originally appeared was not sanctioned by me. it was a poorly
cobbled together rpm by one of the german team who overstepped his mark and
broke numerous features.

This one is as should be.

Note You need to log in before you can comment on or make changes to this bug.